import 'package:boilerplate/core/styles/my_colors.dart';
import 'package:boilerplate/core/styles/my_dimensions.dart';
import 'package:boilerplate/core/styles/my_font.dart';
import 'package:flutter/material.dart';

class IPMIntellectualTag extends StatelessWidget {
  final String tagName;

  const IPMIntellectualTag({Key? key, required this.tagName}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(
        vertical: MyDimens.dimen4,
        horizontal: MyDimens.dimen6,
      ),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(50),
        border: Border.all(color: Color(0xFFEEEEEE)),
      ),
      child: Row(
        mainAxisSize: MainAxisSize.min,
        children: [
          Text(
            "#",
            style: MyFont.regular10.copyWith(
              color: MyColor.orange,
            ),
          ),
          SizedBox(width: MyDimens.dimen2),
          Text(
            this.tagName,
            style: MyFont.regular12,
          ),
        ],
      ),
    );
  }
}
